Loading...
Searching...
No Matches
fat.c File Reference

## Functions

PedFileSystem * | fat_alloc (const PedGeometry *geom)
int | fat_alloc_buffers (PedFileSystem *fs)
int | fat_check (PedFileSystem *fs, PedTimer *timer)
int | fat_clobber (PedGeometry *geom)
int | fat_close (PedFileSystem *fs)
PedFileSystem * | fat_copy (const PedFileSystem *fs, PedGeometry *geom, PedTimer *timer)
PedFileSystem * | fat_create (PedGeometry *geom, FatType fat_type, PedTimer *timer)
PedFileSystem * | fat_create_fat16 (PedGeometry *geom, PedTimer *timer)
PedFileSystem * | fat_create_fat32 (PedGeometry *geom, PedTimer *timer)
void | fat_free (PedFileSystem *fs)
void | fat_free_buffers (PedFileSystem *fs)
PedConstraint * | fat_get_copy_constraint (const PedFileSystem *fs, const PedDevice *dev)
PedConstraint * | fat_get_create_constraint_fat16 (const PedDevice *dev)
PedConstraint * | fat_get_create_constraint_fat32 (const PedDevice *dev)
PedConstraint * | fat_get_resize_constraint (const PedFileSystem *fs)
PedFileSystem * | fat_open (PedGeometry *geom)
int | fat_set_frag_sectors (PedFileSystem *fs, PedSector frag_sectors)

## Function Documentation

## fat_alloc()

PedFileSystem * fat_alloc | ( | const PedGeometry * | geom | ) |

## fat_alloc_buffers()

int fat_alloc_buffers | ( | PedFileSystem * | fs | ) |

## fat_check()

int fat_check | ( | PedFileSystem * | fs,
|  | PedTimer * | timer )

## fat_clobber()

int fat_clobber | ( | PedGeometry * | geom | ) |

## fat_copy()

PedFileSystem * fat_copy | ( | const PedFileSystem * | fs,
|  | PedGeometry * | geom,
|  | PedTimer * | timer )

## fat_create()

PedFileSystem * fat_create | ( | PedGeometry * | geom,
|  | FatType | fat_type,
|  | PedTimer * | timer )

## fat_create_fat16()

PedFileSystem * fat_create_fat16 | ( | PedGeometry * | geom,
|  | PedTimer * | timer )

## fat_create_fat32()

PedFileSystem * fat_create_fat32 | ( | PedGeometry * | geom,
|  | PedTimer * | timer )

## fat_free()

void fat_free | ( | PedFileSystem * | fs | ) |

## fat_free_buffers()

void fat_free_buffers | ( | PedFileSystem * | fs | ) |

## fat_get_copy_constraint()

PedConstraint * fat_get_copy_constraint | ( | const PedFileSystem * | fs,
|  | const PedDevice * | dev )

## fat_get_create_constraint_fat16()

PedConstraint * fat_get_create_constraint_fat16 | ( | const PedDevice * | dev | ) |

## fat_get_create_constraint_fat32()

PedConstraint * fat_get_create_constraint_fat32 | ( | const PedDevice * | dev | ) |

## fat_set_frag_sectors()

int fat_set_frag_sectors | ( | PedFileSystem * | fs,
|  | PedSector | frag_sectors )